#include <config.h>

#include "f77-fcn.h"
#include "lo-ieee.h"

#include "octave/oct.h"
#include "octave/parse.h"
#include "octave/pager.h"

#include <fstream>
#include <iostream>

#include "init_octave.h"

void myeval(const char *string)
{
  int parse_status;

  eval_string(string, false, parse_status);
  octave_stdout << "---------------------------" << std::endl;
}

int main(int argc, char *argv[])
{
  // Puts error output into file
  //std::ofstream err("cerr.txt");
  //std::cerr.rdbuf(err.rdbuf());

  // Puts non-error output into file
  //std::ofstream err("cout.txt");
  //octave_stdout.rdbuf(err.rdbuf());

  init_octave(argc, argv);

  myeval("a = [1 2 3 4 5]");
  myeval("b = [1 2 3 4] ./ [4 4 0]");
  myeval("b 1.5");
  myeval("a = [1 2 3 4 5]");
  myeval("b = [1 2 3 4] ./ [4 4 0]");

  return 0;
}

